> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numofx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order book



## OpenAPI

````yaml GET /v1/book
openapi: 3.1.0
info:
  title: Numo orderbook API
  description: >-
    REST endpoints exposed by Numo's markets-service and execution-service for
    physically delivered FX futures.
  version: 1.0.0
servers:
  - url: https://api.numofx.com
    description: markets-service
  - url: https://executor.numofx.com
    description: execution-service
security: []
tags:
  - name: Markets service
  - name: Execution service
paths:
  /v1/book:
    get:
      tags:
        - Markets service
      summary: Get order book
      operationId: getOrderBook
      parameters:
        - name: symbol
          in: query
          schema:
            type: string
          description: Canonical market symbol such as USDCcNGN-APR30-2026
        - name: asset_address
          in: query
          schema:
            type: string
        - name: sub_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Top of book for a market
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookResponse'
        '400':
          description: Unknown market
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    BookResponse:
      type: object
      properties:
        market_presentation:
          $ref: '#/components/schemas/MarketPresentation'
        bids:
          type: array
          items:
            $ref: '#/components/schemas/Order'
        asks:
          type: array
          items:
            $ref: '#/components/schemas/Order'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
    MarketPresentation:
      type: object
      properties:
        market:
          type: string
        contract_type:
          type: string
        settlement_type:
          type: string
        base_asset_symbol:
          type: string
        quote_asset_symbol:
          type: string
        expiry_timestamp:
          type: integer
        display_name:
          type: string
        display_label:
          type: string
        tick_size:
          type: string
        settlement_note:
          type: string
        asset_address:
          type: string
        sub_id:
          type: string
        order_entry_spec:
          type: string
    Order:
      type: object
      properties:
        order_id:
          type: string
        owner_address:
          type: string
        signer_address:
          type: string
        subaccount_id:
          type: string
        recipient_id:
          type: string
        nonce:
          type: string
        side:
          type: string
          enum:
            - buy
            - sell
        asset_address:
          type: string
        sub_id:
          type: string
        desired_amount:
          type: string
        filled_amount:
          type: string
        limit_price:
          type: string
        worst_fee:
          type: string
        expiry:
          type: integer
        action_json: {}
        signature:
          type: string
        status:
          type: string
        market:
          type: string

````